Skip to main content
`Ctrl`+`K`

# `skopt.space.space`.Dimension

class skopt.space.space.Dimension

  Base class for search space dimensions.

  Attributes:
    bounds
    is_constant
    name
    prior
    size
    transformed_bounds
    transformed_size

  Methods

  `inverse_transform`(Xt) | Inverse transform samples from the warped space back into the original space.
  `rvs`([n_samples, random_state]) | Draw random samples.
  `transform`(X) | Transform samples form the original space to a warped space.

  set_transformer |

  __init__(*args, **kwargs)
  inverse_transform(Xt)

    Inverse transform samples from the warped space back into the original space.

  rvs(n_samples=1, random_state=None)

    Draw random samples.

    Parameters:
      n_samples int or None

        The number of samples to be drawn.

      random_state int, RandomState instance, or None (default)

        Set random state to something other than None for reproducible results.

  transform(X)

    Transform samples form the original space to a warped space.